<?
if (isset($_POST['cfms']))
{
    if (!isset($_POST['komment']) || $_POST['komment']==NULL)
    {
    	$errMsg = "Вы должны что-то написать!";
    } else {
        $komm = system :: check($_POST['komment']);
        if (isset($_POST['as_admin']) && is_numeric($_POST['as_admin']) && $_POST['as_admin']==1 && (($user['id']==$ank['id'] && $group['d_user'] == 0) || $user['id'] == 1 || $group_user['admin'] > 0))
        {
            $as_admin = 1;
        } else {
            $as_admin = 0;
        }
    	if (DB :: $pdo -> query("INSERT INTO `groups_komm` (`id_user`, `id_post`, `id_post2`, `id_group`, `as_admin`, `post`, `time`) VALUES (?, ?, ?, ?, ?, ?, ?);", array($user['id'], $post['id'], $g_p['id'], $group['id'], $as_admin, $komm, time())))
        {
            
                        
 
            
            
            
            
            
            
            
            system :: redirect("Сообщение успешно добавлено.", "/groups/?group=".$group['id']."&komm=".$post['id']."");
    	} else {
    		$errMsg = "Неизвестная ошибка.!";
    	}
    }
}

    system :: show($errMsg);

?>